/*-
 * ~~~~~~licensing~~~~~~
 * bundle-service
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.management.bundle.jpa.entity;

import java.util.Arrays;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;


public enum BundleType {
	PROFILE("PROFILE"),
	BRIDGE_PROFILE("BRIDGE-PROFILE"),
	CONNECTOR("CONNECTOR");

	
	public static final Map<String, BundleType> map;
    private final String type;

    BundleType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }
    
    public static BundleType getValueOf(String type) {
    	return map.containsKey(type) ? map.get(type) : null;
    }
    
    static {
        map = Arrays.stream(BundleType.values())
                .collect(Collectors.toMap(BundleType::getType, Function.identity()));
    }
}
